Last Comment Bug 764851 - Animating the width/height of an outer SVG element doesn't work
: Animating the width/height of an outer SVG element doesn't work
Status: VERIFIED FIXED
: regression
Product: Core
Classification: Components
Component: SVG (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla16
Assigned To: Robert Longson
:
:
Mentors:
http://hoffmann.bplaced.net/svgtest/w...
Depends on:
Blocks: 668163 688430
  Show dependency treegraph
 
Reported: 2012-06-14 08:54 PDT by Robert Longson
Modified: 2012-08-03 04:46 PDT (History)
4 users (show)
longsonr: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
affected
verified
verified


Attachments
patch (5.58 KB, patch)
2012-06-15 09:17 PDT, Robert Longson
jwatt: review+
Details | Diff | Splinter Review
updated with comments and extra tweak to pass try (7.28 KB, patch)
2012-06-16 04:56 PDT, Robert Longson
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Robert Longson 2012-06-14 08:54:13 PDT

    
Comment 1 Robert Longson 2012-06-14 08:55:52 PDT
Worked in Firefox 8 doesn't work from 12 onwards.

Another example is: http://hoffmann.bplaced.net/svgtest/widthheight02.svg
Comment 3 Robert Longson 2012-06-15 09:17:07 PDT
Created attachment 633551 [details] [diff] [review]
patch
Comment 4 Jonathan Watt [:jwatt] (back in October - email directly if necessary) 2012-06-15 09:28:53 PDT
Comment on attachment 633551 [details] [diff] [review]
patch

Please add a comment along the lines of the following at the start of nsSVGElement::GetAnimatedAttr:

  // We check mapped-into-style attributes first so that animations
  // targeting width/height on outer-<svg> don't appear to be ignored
  // because we returned a nsISMILAttr for the corresponding
  // SVGAnimatedLength.
Comment 5 Robert Longson 2012-06-16 04:56:09 PDT
Created attachment 633795 [details] [diff] [review]
updated with comments and extra tweak to pass try
Comment 7 Ryan VanderMeulen [:RyanVM] 2012-06-16 19:41:25 PDT
https://hg.mozilla.org/mozilla-central/rev/1a625cb42f58
Comment 8 Robert Longson 2012-06-19 03:14:14 PDT
Comment on attachment 633795 [details] [diff] [review]
updated with comments and extra tweak to pass try

[Approval Request Comment]
Bug caused by (feature/regressing bug #): bug 668163
User impact if declined: width/height animations on outer svg won't work.
Testing completed (on m-c, etc.): passed tests on m-c, new tests added
Risk to taking this patch (and alternatives if risky): very low
String or UUID changes made by this patch: none
Comment 9 Alex Keybl [:akeybl] 2012-06-19 20:20:17 PDT
Comment on attachment 633795 [details] [diff] [review]
updated with comments and extra tweak to pass try

[Triage Comment]
Fairly recent, low risk SVG regression. Approving for Aurora/Beta.
Comment 11 Paul Silaghi, QA [:pauly] 2012-06-28 05:48:36 PDT
Verified fixed on FF 14b9 on Win 7, Ubuntu 12.04 and Mac OS X 10.6.
Comment 12 Paul Silaghi, QA [:pauly] 2012-08-03 04:46:12 PDT
Verified fixed on FF 15b3 on Win 7, Ubuntu 12.04 and Mac OS X 10.6.

Note You need to log in before you can comment on or make changes to this bug.